microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
헤더 매개 변수
Foundry-Features
enum
필수
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
경로 매개 변수
name
string
필수
The name of the memory store.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
요청 본문
Content-Type: application/json
scope
string
필수
The namespace that logically groups and isolates memories to delete, such as a user ID.
응답
The request has succeeded.
본문
Content-Type: application/json
object
enum
필수
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
필수
The name of the memory store.
scope
string
필수
The scope from which memories were deleted.
deleted
boolean
필수
Whether the deletion operation was successful.
요청
POST /memory_stores/{name}:delete_scope HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json